Create Lease: Rentvine
https://api.propexo.com/v1/leases/rentvine/| Interface | Method |
|---|---|
| Leases | POST /api/manager/leases |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee
The move-in date associated with the lease
Show 2 variants
The start date associated with the lease
Show 2 variants
The end date associated with the lease
Show 2 variants
The rent amount in cents for the lease
Possible values: > 0
The NSF fee amount in cents for the lease
Possible values: > 0
The status associated with the lease
Show 2 enum values
PENDINGACTIVEA list of Propexo Resident IDs associated with the lease. The resident must be a primary.
Possible values: >= 1
resident_charges object[]
A list of move in charges for the lease
The Propexo unique identifier for the financial account
The post date for the resident charge
Show 2 variants
Description of the resident charge
The amount of the resident charge, in cents
Possible values: > 0
Whether or not the resident charge is prorated
recurring_resident_charges object[]
A list of recurring charges for the lease
The Propexo unique identifier for the financial account
The start date associated with the recurring resident charge
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
Description of the resident charge
The amount of the recurring resident charge, in cents
Possible values: > 0
The day of the month the charge is due
Possible values: > 0 and <= 31
The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine
Possible values: > 0 and <= 12
other_occupants object[]
A list of other occupants for the lease
The first name associated with the occupant
The last name associated with the occupant
The date of birth associated with the occupant
Show 2 variants
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
- Array [
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee
Show 2 variants
Show 2 variants
The end date associated with the lease
Show 2 variants
The rent amount in cents for the lease
Possible values: > 0
The NSF fee amount in cents for the lease
Possible values: > 0
The status associated with the lease
Show 2 enum values
PENDINGACTIVEresident_charges object[]
A list of move in charges for the lease
The Propexo unique identifier for the financial account
The post date for the resident charge
Show 2 variants
Description of the resident charge
The amount of the resident charge, in cents
Possible values: > 0
Whether or not the resident charge is prorated
recurring_resident_charges object[]
A list of recurring charges for the lease
The Propexo unique identifier for the financial account
The start date associated with the recurring resident charge
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
Description of the resident charge
The amount of the recurring resident charge, in cents
Possible values: > 0
The day of the month the charge is due
Possible values: > 0 and <= 31
The raw value of the frequency of the recurring resident charge. This will be the frequency (in months) for Rentvine
Possible values: > 0 and <= 12
other_occupants object[]
The first name associated with the occupant
The last name associated with the occupant
The date of birth associated with the occupant
Show 2 variants
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/leases/rentvine/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"unit_id": "string",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"rent_amount_in_cents": 0,
"nsf_fee_amount_in_cents": 0,
"status": "PENDING",
"associated_resident_ids": [
"string"
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"employee_id": "string",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"rent_amount_in_cents": 0,
"nsf_fee_amount_in_cents": 0,
"status": "PENDING",
"associated_resident_ids": [
"string"
],
"resident_charges": [
{
"financial_account_id": "string",
"post_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"amount_in_cents": 0,
"is_prorated": true
}
],
"recurring_resident_charges": [
{
"financial_account_id": "string",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"amount_in_cents": 0,
"charge_due_day": 0,
"frequency_raw": 0
}
],
"other_occupants": []
}
}